Opened 14 years ago

Last modified 7 years ago

#100 closed defect (Fixed)

installation problem

Reported by: thunder Owned by:
Priority: Low Milestone:
Component: Core Tor/Tor Version:
Severity: Keywords:
Cc: thunder Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

Hi,

I can´t get tor to install on an intel box running SuSE 9.1.

I am using tor-0.0.9.4.tar.gz. I do tar xzf tor-0.0.9.4.tar.gz,
then cd into the new directory, then do ./configure, which runs fine.

When I try to make, I get lots of errors complaining about torgzip.c,
The output looks like this:
cc -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/local/ssl/include -g -O2 -Wall -g -O2 -c log.c
gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/local/ssl/include -g -O2 -Wall -g -O2 -c fakepoll.c
gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/local/ssl/include -g -O2 -Wall -g -O2 -c util.c
gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/local/ssl/include -g -O2 -Wall -g -O2 -c compat.c
gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/local/ssl/include -g -O2 -Wall -g -O2 -c container.c
rm -f libor.a
ar cru libor.a log.o fakepoll.o util.o compat.o container.o
ranlib libor.a
gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/local/ssl/include -g -O2 -Wall -g -O2 -c crypto.c
gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/local/ssl/include -g -O2 -Wall -g -O2 -c aes.c
gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/local/ssl/include -g -O2 -Wall -g -O2 -c tortls.c
gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/local/ssl/include -g -O2 -Wall -g -O2 -c torgzip.c
torgzip.c:20:18: zlib.h: Datei oder Verzeichnis nicht gefunden
torgzip.c: In Funktion »is_gzip_supported«:
torgzip.c:35: error: `ZLIB_VERSION' undeclared (first use in this function)
torgzip.c:35: error: (Each undeclared identifier is reported only once
torgzip.c:35: error: for each function it appears in.)

(much more to follow)

zlib is installed:
# rpm -qa|grep zlib
zlib-1.2.1-70.6

I was able to install an old version of tor (tor-0.0.8.1.tar.gz), but when I
run it, it complains like this;
Feb 12 18:52:13.988 [err] You are running Tor version 0.0.8.1, which will not work with this network.

Is there a way to run and install tor for me?

Thanks for any help

[Automatically added by flyspray2trac: Operating System: All]

Child Tickets

Change History (4)

comment:1 Changed 14 years ago by arma

Have you tried installing zlib-devel? That will probably fix it for you.

But we should do better auto-detection so the ./configure fails if
you don't have that header available. We'll take a look at that shortly.
Thanks!

comment:2 Changed 14 years ago by thunder

Hi,

installing zlib-devel did help.

Thanks for your fast reply.

comment:3 Changed 14 years ago by nickm

flyspray2trac: bug closed.
I've made configure spit out a better error message when zlib.h isn't found.

comment:4 Changed 7 years ago by nickm

Component: Tor ClientTor
Note: See TracTickets for help on using tickets.